/***************************************************************************
                          mdkhtmlbrowser.h  -  description
                             -------------------
    begin                : mar jan 21 02:49:21 EST 2003
    copyright            : (C) 2003 by Montel Laurent
    email                : lmontel@mandriva.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MDKHTMLBROWSER_H
#define MDKHTMLBROWSER_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kdialog.h>
#include <qwidget.h>
#include <kurl.h>
#include <kuniqueapplication.h>

class QCheckBox;
class KPushButton;
class KHTMLPart;

namespace KParts {
  struct URLArgs;
}

class MdkhtmlbrowserApplication : public KUniqueApplication
{
  public:
    MdkhtmlbrowserApplication();
};


/** Mdkhtmlbrowser is the base class of the project */
class Mdkhtmlbrowser : public KDialog
{
  Q_OBJECT
  public:
    /** construtor */
    Mdkhtmlbrowser(const QString & htmlPage, QWidget* parent=0, const char *name=0);
    /** destructor */
    ~Mdkhtmlbrowser();
private slots:
    void showOnStart(bool b);
    void slotClose();
    void slotUrlOpen(const KURL &, const KParts::URLArgs &);
protected:
    void loadConfig();
    void saveConfig();
private:
    void openBrowser(const KURL &url);
    QCheckBox *m_showAtTheNewStartUp;
    KPushButton *m_close;
    KHTMLPart *viewPart;
};

#endif
